Bug 438898 - crash while receiving scanner data (xsane) and moving usb mouse
crash while receiving scanner data (xsane) and moving usb mouse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 16:58 EDT by Boris Glawe
Modified: 2009-01-09 01:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:15:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Glawe 2008-03-25 16:58:27 EDT
Description of problem:
The kernel crashes, while receiving image data and moving the mouse.

My scanner is a HP-Officejet J5785 All-in-One, which is connected to my
notebooke via USB.
The mouse is a common wired Logitech USB Mouse.

The problem could not be reproduced after the mouse was physically removed from
the system

My system is an Acer Aspire 1350 Notebook with an Athlon XP 2600+ Processor and
1250MB RAM. I did not load any exotic kernel modules like ndiswrapper or vmware
modules.

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8
kernel-2.6.24.3-34.fc8
Did not try older kernel versions! I haven't ever used a scanner with older
versions.

How reproducible:
always

Steps to Reproduce:
1. start to scan with an usb scanner
2. wait until the scanner receives data
3. move the mouse heavily
  
Actual results:
kernel oops

Expected results:


Additional info:
The crash could not be reproduced, after removing the usb mouse physically from
my computer
Comment 1 Boris Glawe 2008-03-25 17:02:43 EDT
correction:

Steps to Reproduce:
1. start to scan with an usb scanner
2. wait until the scanner *sends* data
3. move the mouse heavily
4. Notebook freezes without any further error messages
Comment 2 Boris Glawe 2008-03-25 17:04:20 EDT
These are the last messages in my /var/log/messages before the first messages of
the reboot appear:


Mar 25 21:28:22 localhost kernel: usblp0: removed
Mar 25 21:28:22 localhost hal_lpadmin: Unable to connect to CUPS:
'httpConnectionEncrypt failed'.  Is CUPS running?
Mar 25 21:28:22 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
410, in main#012    h = HalLpAdmin()
Mar 25 21:28:22 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
386, in __init__#012    self.removePrinter()
Mar 25 21:28:22 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
400, in removePrinter#012    printer = HalPrinter()
Mar 25 21:28:22 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line 18,
in __init__#012    os.exit (1)
Mar 25 21:28:22 localhost hal_lpadmin: AttributeError: 'module' object has no
attribute 'exit'
Mar 25 21:28:55 localhost xsane: io/hpmud/dot4.c 231: unable to read
Dot4ReverseReply header: Die Ressource ist zur Zeit nicht verfügbar bytesR
ead=0
Mar 25 21:28:56 localhost xsane: io/hpmud/dot4.c 319: invalid DOT4InitReply
retrying command...
Comment 3 Lubomir Kundrak 2008-03-26 15:11:45 EDT
Please try to get an oops message. Hooking up a serial console or netconsole
might help. (This does not have security implications, removing from Security
group).

https://fedoraproject.org/wiki/KernelCommonProblems#head-aacc422f26396dee978174e105c6a2b8ed962971
Comment 4 Pete Zaitcev 2008-04-19 15:04:41 EDT
I agree, we really need some kind of console traceback to make progress.
It's a notebook, so serial is probably right out. But netconsole usually
works great.
Comment 5 Boris Glawe 2008-04-21 04:49:42 EDT
Unfortunately I don't have a second machine to try out your suggestions for the
trace information retrieval.

As soon as I have the opportunity to get a traceback, I will post it here!
Comment 6 Lubomir Kundrak 2008-04-21 04:59:03 EDT
Boris: With netconsole, the console machine can be anywhere around the net. I
can probably help you grab the oops; in case you'd want me to, just ping me on
Freenode anytime.
Comment 7 Boris Glawe 2008-04-21 05:06:27 EDT
Ok, I don't konw netconsole! I'll give it a try and will report the results in a
few days!
Comment 8 Bug Zapper 2008-11-26 05:15:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:15:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.